Subject: Re: [X2Go-Dev] Bug#1321: X Error: BadLength (poly request too large or internal Xlib length error) 16

From: Ulrich Sibiller <[email-masked]>
Date: Sat, 6 Oct 2018 22:12:06 +0200

FYI: I have made a patch for nx-libs that fixes some BIG-REQUESTS
problems (atom and vscode now work). It does not seem to help with
paraview 4.4 but I also cannot properly use it without x2go, I get
"Cannot mix incompatible Qt library (version 0x40807) with this
library (version 0x40806)". So YMMV.

Here's the patch: https://github.com/ArcticaProject/nx-libs/pull/729
(not sure when it will make into the released code. For now you have
to apply and compile yourself

Uli
On Fri, Aug 17, 2018 at 1:03 PM Ulrich Sibiller <[email-masked]> wrote:
>
> On Fri, Aug 17, 2018 at 12:44 PM, Hannes Kröger
> <[email-masked]> wrote:
> > ok, when I put
> >
> > X2GO_NXAGENT_DEFAULT_OPTIONS+=" +extension BIG-REQUESTS"
> >
> > into /etc/x2go/x2goagent.options then paraview starts without errors.
> >
> > But the comment says:
> > "Disable BIG-REQUESTS, nx-libs does not implement this extension
> > correctly. Leads to all sorts of weird crashes if left enabled."
> > Is this still true? Do I have to fear all sorts of weird crashes?
>
> Yes, unfortunately this is still true. I am unsure what exactly the
> problems are. But we have apps that crash with the extension enabled.
> And we have some apps that crash with the extension disabled ;-(
>
> Uli